summaryrefslogtreecommitdiff
path: root/test/test-common.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/test-common.sh')
-rw-r--r--test/test-common.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/test/test-common.sh b/test/test-common.sh
index e837498..85c05c5 100644
--- a/test/test-common.sh
+++ b/test/test-common.sh
@@ -1,5 +1,10 @@
#!/bin/bash
+if [[ $HOME == "$(eval echo ~$USER)" ]]; then
+ libremessages error "\$HOME is the default for %s; use testenv: %s" "$USER" "$HOME"
+ exit 1
+fi
+
_before() {
tmpdir="$(mktemp -d --tmpdir "test-$1.XXXXXXXXXXXX")"
stat=0